netatalk.io

Netatalk 2.4.1


REDISTRIBUTION LICENSING ALERT

If you redistribute binary Netatalk packages, please be advised that there may be incompatible licensing terms in this source package. To avoid potential issues when redistributing, it is strongly recommended to build this package with -Dwith-embedded-ssl=false when using the Meson build system. The Autotools build system is not affected. A future release version will address this issue.

Netatalk 2.4.1 is available!

The Netatalk team is proud to announce the latest version in the Netatalk 2.4 release series. Unlike the Netatalk 3.x releases, 2.x maintains support for the AppleTalk transport layer for networking with very old Mac and Apple II clients.

This release includes a patch for security vulnerabilities CVE-2024-38439, CVE-2024-38440, and CVE-2024-38441. Users of the 2.x release series are encouraged to update their servers to this version

Please see INSTALL for instructions how to use the new Meson build system. The online manual also has a new appendix with build instructions for specific operating systems.

The recommended version of the Netatalk Webmin module for this release is v2.0.

Please see NEWS for the full changelog.

Major Changes

Bundled WolfSSL

WolfSSL was introduced in Netatalk 2.4.0 as the recommended SSL provider for the DHX (DHCAST128) and Random Number user authentication modules.

In addition to the bundled WolfSSL library, the latest version of Netatalk now supports building with system provided WolfSSL libraries. At the time of release, only Debian and Ubuntu could be confirmed shipping a fully-featured WolfSSL library.

Alpine Linux, Arch Linux, DragonFly BSD and FreeBSD also ship WolfSSL libraries. However in our testing neither were complete enough to be used with Netatalk. On these platforms we will still use the bundled WolfSSL library.

What’s Changed

Full Changelog: https://github.com/Netatalk/netatalk/compare/netatalk-2-4-0…netatalk-2-4-1


Release published on 2024-06-29

Generated from the original at GitHub